#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: snap-core
version: 0.9.6.3
id: snap-core-0.9.6.3-5cd83fa1792b60fb5a7d817eff11d0a0

license: BSD3
copyright:
maintainer: snap@snapframework.com
stability:
homepage: http://snapframework.com/
package-url:
synopsis: Snap: A Haskell Web Framework (core interfaces and types)
description: Snap is a simple and fast web development framework and server written in
             Haskell. For more information or to download the latest version, you can
             visit the Snap project website at <http://snapframework.com/>.
             .
             This library contains the core definitions and types for the Snap framework,
             including:
             .
             1. Primitive types and functions for HTTP (requests, responses, cookies,
             post/query parameters, etc)
             .
             2. Type aliases and helper functions for Iteratee I/O
             .
             3. A monad for programming web handlers called \"Snap\", which allows:
             .
             * Stateful access to the HTTP request and response objects
             .
             * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
             to handle requests and chaining handlers together
             .
             * Early termination of the computation if you know early what you want
             to return and want to prevent further monadic processing
             .
             /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Core",
             some iteratee utilities are in "Snap.Iteratee".
category: Web, Snap
author: James Sanders, Shu-yu Guo, Gregory Collins, Doug Beardsley
exposed: True
exposed-modules: Snap.Core Snap.Types Snap.Iteratee
                 Snap.Internal.Debug Snap.Internal.Exceptions
                 Snap.Internal.Http.Types Snap.Internal.Iteratee.Debug
                 Snap.Internal.Parsing Snap.Test Snap.Types.Headers
                 Snap.Util.FileServe Snap.Util.FileUploads Snap.Util.GZip
                 Snap.Util.Proxy Snap.Util.Readable
hidden-modules: Snap.Internal.Instances
                Snap.Internal.Iteratee.BoyerMooreHorspool
                Snap.Internal.Parsing.FastSet Snap.Internal.Routing
                Snap.Internal.Types Snap.Internal.Test.RequestBuilder
                Snap.Internal.Test.Assertions
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/snap-core-0.9.6.3
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/snap-core-0.9.6.3
              /usr/local/lib
hs-libraries: HSsnap-core-0.9.6.3
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: HUnit-1.2.5.2-5968ced93139d48b488414df902b5d37
         MonadCatchIO-transformers-0.3.1.0-df23d86d18d6945d697b58a63ed41cc6
         attoparsec-0.10.4.0-7ee6fb69f8d373108d8583068f8120f7
         attoparsec-enumerator-0.3.3-956268170a5e2125cd025008d1910f2c
         base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         blaze-builder-0.3.3.2-b6514717f3839c85cf28f4994a7821a4
         blaze-builder-enumerator-0.2.0.6-7f30d9bb7629c72ab719b6ced1fcd8f5
         bytestring-0.10.4.0-2182937da706a7ad10a5093b31e299db
         case-insensitive-1.1.0.3-7430f6b323cf9d03cf63d7105e4ae088
         containers-0.5.5.1-23e2a2b94d6e452c773209f31d8672c5
         deepseq-1.3.0.2-733fe43e121f761739636bd6670bea77
         directory-1.2.1.0-7bc3edddb9ec0c2616861a4f1c5f6c54
         enumerator-0.4.20-b74a8b2e3de52e2b4f48c9c9885e3a7c
         filepath-1.3.0.2-1580a61d3226e4be45fe2130dc2881e3
         hashable-1.2.2.0-7cfb61f0c68a03cacd19199a33e9c118
         mtl-2.1.3.1-8bcc0591131896cfc8761a93703d4c61
         old-locale-1.0.0.6-09baf1dbc5be8338e5eba7c5bb515505
         random-1.0.1.1-ea125bb357de39b1f8403eb83fa4e9c7
         regex-posix-0.95.2-e033a57dca50dc96eee3818988df930f
         text-1.1.0.0-ae5f08307fb9d06679d77b9fce515032
         time-1.4.2-9927ada6d5503e0b70e51a11902c8b61
         unix-compat-0.4.1.3-ff2eb5076bf5864bc45c22dbd6cac356
         unordered-containers-0.2.4.0-ab8d3f7773b26c54df0958504a88212e
         vector-0.10.9.1-2584ae046ff7f59a3c2a1976714626fe
         zlib-enum-0.2.3.1-bf1780bfdf84eab159daf113259b019e
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/snap-core-0.9.6.3/html/snap-core.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/snap-core-0.9.6.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
